<app-small-card-layout [title]="'АВТОРИЗАЦИЯ'">
    <div class="content">
        <form class="form" [formGroup]="loginForm" (submit)="login()" >
            <div class="spacer"></div>
            <mat-form-field appearance="fill" (click)="onInputClick()">
                <mat-label>Логин</mat-label>
                <input matInput type="text" formControlName="login" [readonly]="isLoading" >
            </mat-form-field>
            <mat-form-field appearance="fill" (click)="onInputClick()"  >
                <mat-label>Пароль</mat-label>
                <input 
                    matInput 
                    [type]="isPasswordHidden ? 'password' : 'text'" 
                    formControlName="password" 
                    [readonly]="isLoading"  >
                <button 
                    type="button"
                    mat-icon-button 
                    matSuffix 
                    (click)="isPasswordHidden = !isPasswordHidden" 
                    [attr.aria-pressed]="isPasswordHidden">
                    <mat-icon>{{isPasswordHidden ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
            </mat-form-field>

            <div class="spacer"></div>

            <button class="login-btn"
                [disabled]="!loginForm.valid || isLoading" 
                type="submit" 
                mat-raised-button 
                color="primary">
                <div *ngIf="isLoading">
                    <mat-progress-spinner></mat-progress-spinner>
                </div>
                <div *ngIf="!isLoading">Вход</div>
            </button>
        </form>
        <div class="register" >Нет аккаунта? <a [routerLink]="['/register']">Зарегистрируйтесь</a></div>
    </div>
</app-small-card-layout>